# $Id$
# vi: shiftwidth=4 tabstop=4 smarttab expandtab formatoptions=croql
#
# spec file for sybase client, quick and dirty style.
#

# Basic Information
Name:   sybase-client
Version:    15.0
Release:    3csdcf%{?dist}
Summary:    Sybase ASE Client
Group:   Applications/Databases
License:    Proprietary
URL: http://cs.stanford.edu

# Packager Information
Packager: Miles Davis <miles@cs.stanford.edu>

# Build Information
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Source Information
# Gathered from installed client via  
# tar czvf SOURCES/sybase-client-15.0.tgz /opt/sybase/OCS-15_0/ /opt/sybase/SYBASE.* /opt/sybase/interfaces
Source0:    sybase-client-15.0.tgz
Source1:    sybase-x86_64.conf
#Patch0:

# Dependency Information
BuildRequires:  binutils

%description

%prep
#%setup -q

#%build
#make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/ld.so.conf.d %{buildroot}/etc/profile.d
tar xzf %{SOURCE0} -C %{buildroot}
cp %{buildroot}/opt/sybase/SYBASE.sh %{buildroot}/opt/sybase/SYBASE.csh %{buildroot}/etc/profile.d
install -c -m 644 %{SOURCE1} %{buildroot}/etc/ld.so.conf.d/sybase-x86_64.conf
#make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
/opt/sybase/*
/etc/ld.so.conf.d/sybase-x86_64.conf
/etc/profile.d/SYBASE.csh
/etc/profile.d/SYBASE.sh

%changelog
* Thu Jul 15 2010 Miles Davis <miles@cs.stanford.edu> 1.0
- Initial Spec File


